# -*- encoding: utf-8 -*-
# stub: mdtoc 0.1.5 ruby lib

Gem::Specification.new do |s|
  s.name = "mdtoc".freeze
  s.version = "0.1.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["andornaut".freeze]
  s.date = "2021-02-06"
  s.description = "# mdtoc - Markdown Table of Contents\n\nRead Markdown files and output a table of contents.\n\n## Installation\n\nRequirements:\n\n* [Ruby](https://www.ruby-lang.org/en/) (see [.ruby-version](./.ruby-version))\n\n```\n$ gem install mdtoc\n```\n\n## Usage\n\n```\n$ mdtoc --help\nUsage: mdtoc [options] files or directories...\n    -h, --help                       Show this message\n    -o, --output PATH                Update a table of contents in the file at PATH\n    -a, --[no-]append                Append to the --output file if a <!-- mdtoc --> tag isn't found\n    -c, --[no-]create                Create the --output file if it does not exist\n```\n\n1. Add a `<!-- mdtoc -->` tag to a Markdown file.\n  ```\n  $ echo '<!-- mdtoc -->` >> README.md\n  ```\n2. Run `mdtoc` and specify input files or directories (eg. the \"test/samples\" directory) and an output file (eg. \"README.md\").\n  ```\n  $ mdtoc -aco README.md test/samples\n  ```\n\n## Example Rakefile\n\nCreate a `Rakefile` with the contents below, then run\n[`rake`](https://github.com/ruby/rake) to:\n\n* `git pull`\n* `git add` any *.md files\n* Run `mdtoc` to update the generated table of contents in the ./README.md file\n* Git commit and push any changes\n\n```\ntask default: %w[mdtoc]\n\ndesc 'Update Markdown table of contents and push changes to the git repository'\ntask :mdtoc do |t|\n  command = <<~END\n    set -e\n    git pull\n    if [ -n \"$(git diff --name-only --diff-filter=U)\" ]; then\n      echo 'Error: conflicts exist' >&2\n      exit 1\n    fi\n    mdtoc --append --create --output README.md docs/\n    git add *.md **/*.md\n    git commit -m 'Update TOC'\n    git push\n  END\n  %x|\#{command}|\nend\n```\n\nSee [andornaut/til](https://github.com/andornaut/til/blob/master/Rakefile) for an example.\n\n## Development\n\n### Installation\n\nRequirements:\n\n* [Bundler](https://bundler.io/)\n\n```\n# Install dependencies\n$ bundle\n```\n\n### Usage\n\n```\n# List rake tasks\n$ rake -T\nrake build                 # Build mdtoc-0.0.2.gem into the pkg directory\nrake default               # Run the build, rubocop:auto_correct, sorbet and test tasks\nrake install               # Build and install mdtoc-0.0.2.gem into system gems\nrake install:local         # Build and install mdtoc-0.0.2.gem into system gems without...\nrake release[remote]       # Create tag v0.0.2 and build and push mdtoc-0.0.2.gem to ru...\nrake rubocop               # Run RuboCop\nrake rubocop:auto_correct  # Auto-correct RuboCop offenses\nrake sorbet                # Run the Sorbet type checker\nrake test                  # Run tests\n\n# Run mdtoc with test inputs\n$ ruby -Ilib bin/mdtoc test/samples\n\n# Run mdtoc with test inputs, and write to a newly created output file\n$ f=$(mktemp) && ruby -Ilib bin/mdtoc -aco ${f} test/samples ; cat ${f}\n```\n".freeze
  s.executables = ["mdtoc".freeze]
  s.files = ["bin/mdtoc".freeze]
  s.homepage = "https://github.com/andornaut/mdtoc".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.7.2".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Read Markdown files and output a table of contents".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<sorbet>.freeze, [">= 0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.86"])
    s.add_development_dependency(%q<rubocop-shopify>.freeze, [">= 1.0.4"])
    s.add_development_dependency(%q<rubocop-sorbet>.freeze, ["~> 0.5"])
    s.add_development_dependency(%q<unparser>.freeze, ["~> 0.4.9"])
    s.add_runtime_dependency(%q<sorbet-runtime>.freeze, [">= 0"])
  else
    s.add_dependency(%q<minitest>.freeze, ["~> 5"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<sorbet>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.86"])
    s.add_dependency(%q<rubocop-shopify>.freeze, [">= 1.0.4"])
    s.add_dependency(%q<rubocop-sorbet>.freeze, ["~> 0.5"])
    s.add_dependency(%q<unparser>.freeze, ["~> 0.4.9"])
    s.add_dependency(%q<sorbet-runtime>.freeze, [">= 0"])
  end
end
